#!/bin/sh
#
# This is a minimal start up script for The Little Crane That Could, Raspberry Pi edition.
# Because Little Crane reads the keyboard from /dev/input/eventX, all keystrokes still end up in the shell
# To avoid processing by the shell, we route them into 'cat' with the echo off, so it does not interfere with the console.
#
# Abraham Stolk
# http://stolk.org/

echo Starting game from `pwd`

sudo chmod 755 ./littlecrane
stty -echo
cat | ./littlecrane
stty sane

